/***************************************
* File    : api_defs.h
* Author  : Shezan Baig 
* Purpose : Definitions for DLL api functions
***************************************/

#ifndef _API_DEFS_H_INCLUDED
#define _API_DEFS_H_INCLUDED

// API definition for GFCFiles.dll
#ifndef GFCFILES_API
	#ifdef WIN32
		#ifdef GFCFILES_EXPORTS
			#define GFCFILES_API	__declspec(dllexport)
		#else // #ifdef GFCFILES_EXPORTS
			#define GFCFILES_API	__declspec(dllimport)
		#endif // #ifdef GFCFILES_EXPORTS
	#else // #ifdef WIN32
		#define GFCFILES_API
	#endif // #ifdef WIN32
#endif // #ifndef GFCFILES_API

// API definition for SBObject.dll
#ifndef SBOBJECT_API
	#ifdef WIN32
		#ifdef SBOBJECT_EXPORTS
			#define SBOBJECT_API	__declspec(dllexport)
		#else // #ifdef SBOBJECT_EXPORTS
			#define SBOBJECT_API	__declspec(dllimport)
		#endif // #ifdef SBOBJECT_EXPORTS
	#else // #ifdef WIN32
		#define SBOBJECT_API
	#endif // #ifdef WIN32
#endif // #ifndef SBOBJECT_API

// API definition for GFCFramework.dll
#ifndef GFCFRAMEWORK_API
	#ifdef WIN32
		#ifdef GFCFRAMEWORK_EXPORTS
			#define GFCFRAMEWORK_API	__declspec(dllexport)
		#else // #ifdef GFCFRAMEWORK_EXPORTS
			#define GFCFRAMEWORK_API	__declspec(dllimport)
		#endif // #ifdef GFCFRAMEWORK_EXPORTS
	#else // #ifdef WIN32
		#define GFCFRAMEWORK_API
	#endif // #ifdef WIN32
#endif // #ifndef GFCFRAMEWORK_API


// API definition for inline classes
#ifndef INLINE_API
	#ifdef WIN32
		#define INLINE_API	GFCFRAMEWORK_API
	#else
		#define INLINE_API
	#endif
#endif


#endif // #ifndef _API_DEFS_H_INCLUDED
