/***************************************
* File    : SBObject_Types.h
* Author  : Shezan Baig 
* Date    : 5/3/2001
* Purpose : Defines types used by SB 3D objects
***************************************/

#ifndef _SBOBJECT_TYPES_H_INCLUDED
#define _SBOBJECT_TYPES_H_INCLUDED

// coordinates for 3d space
#define SB_X		0
#define SB_Y		1
#define SB_Z		2

// coordinates for 2d textures
#define SB_U		0
#define SB_V		1


#define SB_PI		3.1415926535897932384626433832795
#define RTOD(a)		(((a)*180.0)/SB_PI)
#define DTOR(a)		(((a)*SB_PI)/180.0)


#endif // _SBOBJECT_TYPES_H_INCLUDED
