// WaveFile.h: interface for the WaveFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WAVEFILE_H__F6B29BE4_18C6_11D6_90AA_F06C6BC10000__INCLUDED_)
#define AFX_WAVEFILE_H__F6B29BE4_18C6_11D6_90AA_F06C6BC10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class WaveFile  
{
public:
	WaveFile();
	virtual ~WaveFile();

	bool LoadFile(SBFilePtr r_pFile, const String& r_sFileName);
	void PlayFile();

public:
	LPVOID m_pData;
	DWORD m_nDataLength;
	WAVEFORMATEX m_format;

	bool m_bFileLoaded;

private:
	bool ReadFmtChunk(SBFilePtr r_pFile);
	bool ReadDataChunk(SBFilePtr r_pFile);

private:
	void FreeData();
};

#endif // !defined(AFX_WAVEFILE_H__F6B29BE4_18C6_11D6_90AA_F06C6BC10000__INCLUDED_)
