/***************************************
* File    : Exception.cpp
* Author  : Shezan Baig 
* Purpose : implementation of the Exception class.
***************************************/

#include "stdafx.h"
#include "Exception.h"


IMPLEMENT_RTTI(Exception)

Exception::Exception()
{
	SetDescription("");
//	printf("Exception constructed\n");
}


//Exception::Exception(const String& s)
Exception::Exception(const char* s, ...)
{
	va_list vl;
	va_start(vl, s);

	char str[1024];
	vsprintf(str, s, vl);
	SetDescription(str);

	va_end(vl);

//	printf("Exception constructed: %s\n", str);
}


Exception::~Exception()
{
//	printf("* Exception destructed: %s\n", GetDescription());
}


String Exception::GetDescription() const
{
	return m_sDesc;
}

void Exception::SetDescription(const String& s)
{
	m_sDesc = s;
}


